## API Report File for "@fluentui/react-popover"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import type { ComponentProps } from '@fluentui/react-utilities';
import type { ComponentState } from '@fluentui/react-utilities';
import type { Context } from '@fluentui/react-context-selector';
import type { ContextSelector } from '@fluentui/react-context-selector';
import type { FluentTriggerComponent } from '@fluentui/react-utilities';
import type { ForwardRefComponent } from '@fluentui/react-utilities';
import { JSXElementConstructor } from 'react';
import type { PopperVirtualElement } from '@fluentui/react-positioning';
import type { PortalProps } from '@fluentui/react-portal';
import type { PositioningShorthand } from '@fluentui/react-positioning';
import * as React_2 from 'react';
import { ReactElement } from 'react';
import type { Slot } from '@fluentui/react-utilities';
import type { SlotClassNames } from '@fluentui/react-utilities';
import type { usePopperMouseTarget } from '@fluentui/react-positioning';

// @public (undocumented)
export const arrowHeights: Record<PopoverSize, number>;

// @public
export type OnOpenChangeData = {
    open: boolean;
};

// @public
export type OpenPopoverEvents = MouseEvent | TouchEvent | React_2.FocusEvent<HTMLElement> | React_2.KeyboardEvent<HTMLElement> | React_2.MouseEvent<HTMLElement>;

// @public
export const Popover: React_2.FC<PopoverProps>;

// @public (undocumented)
export const PopoverContext: Context<PopoverContextValue>;

// @public
export type PopoverContextValue = Pick<PopoverState, 'toggleOpen' | 'setOpen' | 'triggerRef' | 'contentRef' | 'openOnHover' | 'openOnContext' | 'mountNode' | 'noArrow' | 'arrowRef' | 'size' | 'appearance' | 'trapFocus' | 'inline'>;

// @public
export type PopoverProps = Pick<PortalProps, 'mountNode'> & {
    appearance?: 'brand' | 'inverted';
    children: [JSX.Element, JSX.Element] | JSX.Element;
    closeOnScroll?: boolean;
    defaultOpen?: boolean;
    inline?: boolean;
    mouseLeaveDelay?: number;
    noArrow?: boolean;
    onOpenChange?: (e: OpenPopoverEvents, data: OnOpenChangeData) => void;
    open?: boolean;
    openOnContext?: boolean;
    openOnHover?: boolean;
    positioning?: PositioningShorthand;
    size?: PopoverSize;
    trapFocus?: boolean;
};

// @public
export type PopoverSize = 'small' | 'medium' | 'large';

// @public
export type PopoverState = Pick<PopoverProps, 'appearance' | 'mountNode' | 'noArrow' | 'onOpenChange' | 'openOnContext' | 'openOnHover' | 'trapFocus'> & Required<Pick<PopoverProps, 'inline' | 'open'>> & Pick<PopoverProps, 'children'> & {
    arrowRef: React_2.MutableRefObject<HTMLDivElement | null>;
    contentRef: React_2.MutableRefObject<HTMLElement | null>;
    contextTarget: PopperVirtualElement | undefined;
    popoverSurface: React_2.ReactElement | undefined;
    popoverTrigger: React_2.ReactElement | undefined;
    setContextTarget: ReturnType<typeof usePopperMouseTarget>[1];
    setOpen: (e: OpenPopoverEvents, open: boolean) => void;
    size: NonNullable<PopoverProps['size']>;
    toggleOpen: (e: OpenPopoverEvents) => void;
    triggerRef: React_2.MutableRefObject<HTMLElement | null>;
};

// @public
export const PopoverSurface: ForwardRefComponent<PopoverSurfaceProps>;

// @public @deprecated (undocumented)
export const popoverSurfaceClassName = "fui-PopoverSurface";

// @public (undocumented)
export const popoverSurfaceClassNames: SlotClassNames<PopoverSurfaceSlots>;

// @public
export type PopoverSurfaceProps = ComponentProps<PopoverSurfaceSlots>;

// @public
export type PopoverSurfaceSlots = {
    root: Slot<'div'>;
};

// @public
export type PopoverSurfaceState = ComponentState<PopoverSurfaceSlots> & Pick<PopoverContextValue, 'appearance' | 'arrowRef' | 'inline' | 'mountNode' | 'noArrow' | 'size'> & {
    arrowClassName?: string;
};

// @public
export const PopoverTrigger: React_2.FC<PopoverTriggerProps> & FluentTriggerComponent;

// @public (undocumented)
export type PopoverTriggerChildProps = {
    ref?: React_2.Ref<never>;
} & Pick<React_2.HTMLAttributes<HTMLElement>, 'aria-haspopup' | 'onClick' | 'onContextMenu' | 'onKeyDown' | 'onMouseEnter' | 'onMouseLeave'>;

// @public
export type PopoverTriggerProps = {
    children: (React_2.ReactElement & {
        ref?: React_2.Ref<unknown>;
    }) | ((props: PopoverTriggerChildProps) => React_2.ReactElement | null);
};

// @public
export type PopoverTriggerState = {
    children: React_2.ReactElement | null;
};

// @public
export const renderPopover_unstable: (state: PopoverState) => JSX.Element;

// @public
export const renderPopoverSurface_unstable: (state: PopoverSurfaceState) => JSX.Element;

// @public
export const renderPopoverTrigger_unstable: (state: PopoverTriggerState) => ReactElement<any, string | JSXElementConstructor<any>> | null;

// @public
export const usePopover_unstable: (props: PopoverProps) => PopoverState;

// @public (undocumented)
export const usePopoverContext_unstable: <T>(selector: ContextSelector<PopoverContextValue, T>) => T;

// @public
export const usePopoverSurface_unstable: (props: PopoverSurfaceProps, ref: React_2.Ref<HTMLDivElement>) => PopoverSurfaceState;

// @public
export const usePopoverSurfaceStyles_unstable: (state: PopoverSurfaceState) => PopoverSurfaceState;

// @public
export const usePopoverTrigger_unstable: (props: PopoverTriggerProps) => PopoverTriggerState;

// (No @packageDocumentation comment for this package)

```
